package com.ejie.ab63.model;

import java.math.BigDecimal;
import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Ab6337s00  
 * 
 *  
 */

public class FianzaEstablecimiento implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idFianzasEstab;
	private AgenciaData agenciaData;
	private BigDecimal numImporteFianza;
	private String registroFianza;
	private Date fechaFianza;
	private String idTipoFianza;
	private String asociacionFianza;
	private String admonFianza;
	private String observFianza;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private String descTipoFianza;

	/**
	 * Method 'Ab6337s00'.
	 */
	public FianzaEstablecimiento() {
	}

	/**
	 * Method 'Ab6337s00'.
	 * 
	 * @param idFianzasEstab
	 *            Integer
	 */
	public FianzaEstablecimiento(Integer idFianzasEstab) {
		this.idFianzasEstab = idFianzasEstab;
	}

	/**
	 * Method 'Ab6337s00'.
	 * 
	 * @param idFianzasEstab
	 *            Integer
	 * @param numImporteFianza
	 *            BigDecimal
	 * @param registroFianza
	 *            String
	 * @param fechaFianza
	 *            Date
	 * @param idTipoFianza
	 *            String
	 * @param asociacionFianza
	 *            String
	 * @param admonFianza
	 *            String
	 * @param observFianza
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6335s00
	 *            Ab6335s00
	 */
	public FianzaEstablecimiento(Integer idFianzasEstab, BigDecimal numImporteFianza, String registroFianza,
			Date fechaFianza, String idTipoFianza, String asociacionFianza, String admonFianza, String observFianza,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion,
			AgenciaData ab6335s00) {

		this.idFianzasEstab = idFianzasEstab;
		this.agenciaData = ab6335s00;
		this.numImporteFianza = numImporteFianza;
		this.registroFianza = registroFianza;
		this.fechaFianza = fechaFianza;
		this.idTipoFianza = idTipoFianza;
		this.asociacionFianza = asociacionFianza;
		this.admonFianza = admonFianza;
		this.observFianza = observFianza;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdFianzasEstab'.
	 *
	 * @return Integer
	 */

	public Integer getIdFianzasEstab() {
		return this.idFianzasEstab;
	}

	/**
	 * Method 'setIdFianzasEstab'.
	 *
	 * @param idFianzasEstab
	 *            Integer
	 * @return
	 */

	public void setIdFianzasEstab(Integer idFianzasEstab) {
		this.idFianzasEstab = idFianzasEstab;
	}

	/**
	 * Method 'getAb6335s00'.
	 *
	 * @return Ab6335s00
	 */

	public AgenciaData getFranquicia() {
		return this.agenciaData;
	}

	/**
	 * Method 'setAb6335s00'.
	 *
	 * @param ab6335s00
	 *            Ab6335s00
	 * @return
	 */

	public void setFranquicia(AgenciaData ab6335s00) {
		this.agenciaData = ab6335s00;
	}

	/**
	 * Method 'getNumImporteFianza'.
	 *
	 * @return BigDecimal
	 */

	public BigDecimal getNumImporteFianza() {
		return this.numImporteFianza;
	}

	/**
	 * Method 'setNumImporteFianza'.
	 *
	 * @param numImporteFianza
	 *            BigDecimal
	 * @return
	 */

	public void setNumImporteFianza(BigDecimal numImporteFianza) {
		this.numImporteFianza = numImporteFianza;
	}

	/**
	 * Method 'getRegistroFianza'.
	 *
	 * @return String
	 */

	public String getRegistroFianza() {
		return this.registroFianza;
	}

	/**
	 * Method 'setRegistroFianza'.
	 *
	 * @param registroFianza
	 *            String
	 * @return
	 */

	public void setRegistroFianza(String registroFianza) {
		this.registroFianza = registroFianza;
	}

	/**
	 * Method 'getFechaFianza'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaFianza() {
		return this.fechaFianza;
	}

	/**
	 * Method 'setFechaFianza'.
	 *
	 * @param fechaFianza
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaFianza(Date fechaFianza) {
		this.fechaFianza = fechaFianza;
	}

	/**
	 * Method 'getIdTipoFianza'.
	 *
	 * @return String
	 */

	public String getIdTipoFianza() {
		return this.idTipoFianza;
	}

	/**
	 * Method 'setIdTipoFianza'.
	 *
	 * @param idTipoFianza
	 *            String
	 * @return
	 */

	public void setIdTipoFianza(String idTipoFianza) {
		this.idTipoFianza = idTipoFianza;
	}

	/**
	 * Method 'getAsociacionFianza'.
	 *
	 * @return String
	 */

	public String getAsociacionFianza() {
		return this.asociacionFianza;
	}

	/**
	 * Method 'setAsociacionFianza'.
	 *
	 * @param asociacionFianza
	 *            String
	 * @return
	 */

	public void setAsociacionFianza(String asociacionFianza) {
		this.asociacionFianza = asociacionFianza;
	}

	/**
	 * Method 'getAdmonFianza'.
	 *
	 * @return String
	 */

	public String getAdmonFianza() {
		return this.admonFianza;
	}

	/**
	 * Method 'setAdmonFianza'.
	 *
	 * @param admonFianza
	 *            String
	 * @return
	 */

	public void setAdmonFianza(String admonFianza) {
		this.admonFianza = admonFianza;
	}

	/**
	 * Method 'getObservFianza'.
	 *
	 * @return String
	 */

	public String getObservFianza() {
		return this.observFianza;
	}

	/**
	 * Method 'setObservFianza'.
	 *
	 * @param observFianza
	 *            String
	 * @return
	 */

	public void setObservFianza(String observFianza) {
		this.observFianza = observFianza;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public String getDescTipoFianza() {
		return descTipoFianza;
	}

	public void setDescTipoFianza(String descTipoFianza) {
		this.descTipoFianza = descTipoFianza;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idFianzasEstab: ").append(this.idFianzasEstab).append(" ]");
		result.append(", [ numImporteFianza: ").append(this.numImporteFianza).append(" ]");
		result.append(", [ registroFianza: ").append(this.registroFianza).append(" ]");
		result.append(", [ fechaFianza: ").append(this.fechaFianza).append(" ]");
		result.append(", [ idTipoFianza: ").append(this.idTipoFianza).append(" ]");
		result.append(", [ asociacionFianza: ").append(this.asociacionFianza).append(" ]");
		result.append(", [ admonFianza: ").append(this.admonFianza).append(" ]");
		result.append(", [ observFianza: ").append(this.observFianza).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
